diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/create_unique_constraint_with_index_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/create_unique_constraint_with_index_msql.sql
index bb1f7c65..7025378c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/create_unique_constraint_with_index_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/tests/default/create_unique_constraint_with_index_msql.sql
@@ -1,4 +1,4 @@
-ALTER TABLE testschema.tablefor_unique_cons
+ALTER TABLE IF EXISTS testschema.tablefor_unique_cons
     ADD CONSTRAINT "UC_$%{}[]()&*^!@""'`\/#" UNIQUE USING INDEX uindex;
 
 COMMENT ON CONSTRAINT "UC_$%{}[]()&*^!@""'`\/#" ON testschema.tablefor_unique_cons
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/alter_name_fillfactor_comment.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/alter_name_fillfactor_comment.sql
index e6b08e84..3171aaff 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/alter_name_fillfactor_comment.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/alter_name_fillfactor_comment.sql
@@ -1,14 +1,14 @@
 -- Index: Idx1_$%{}[]()&*^!@"'`\/#
 
--- DROP INDEX public."Idx1_$%{}[]()&*^!@""'`\/#";
+-- DROP INDEX IF EXISTS public."Idx1_$%{}[]()&*^!@""'`\/#";
 
-CREATE UNIQUE INDEX "Idx1_$%{}[]()&*^!@""'`\/#"
+CREATE UNIQUE INDEX IF NOT EXISTS "Idx1_$%{}[]()&*^!@""'`\/#"
     ON public.test_table_for_indexes USING btree
     (id DESC NULLS FIRST, name COLLATE pg_catalog."POSIX" text_pattern_ops DESC NULLS FIRST)
     WITH (FILLFACTOR=10)
     TABLESPACE pg_default;
 
-ALTER TABLE public.test_table_for_indexes
+ALTER TABLE IF EXISTS public.test_table_for_indexes
     CLUSTER ON "Idx1_$%{}[]()&*^!@""'`\/#";
 
 COMMENT ON INDEX public."Idx1_$%{}[]()&*^!@""'`\/#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/alter_name_fillfactor_comment_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/alter_name_fillfactor_comment_msql.sql
index 04740888..36c4698c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/alter_name_fillfactor_comment_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/alter_name_fillfactor_comment_msql.sql
@@ -1,10 +1,10 @@
-ALTER INDEX public."Idx_$%{}[]()&*^!@""'`\/#"
+ALTER INDEX IF EXISTS public."Idx_$%{}[]()&*^!@""'`\/#"
     RENAME TO "Idx1_$%{}[]()&*^!@""'`\/#";
 
-ALTER INDEX public."Idx1_$%{}[]()&*^!@""'`\/#"
+ALTER INDEX IF EXISTS public."Idx1_$%{}[]()&*^!@""'`\/#"
     SET (FILLFACTOR=10);
 
-ALTER TABLE public.test_table_for_indexes
+ALTER TABLE IF EXISTS public.test_table_for_indexes
     CLUSTER ON "Idx1_$%{}[]()&*^!@""'`\/#";
 
 COMMENT ON INDEX public."Idx1_$%{}[]()&*^!@""'`\/#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/alter_reset_fillfactor_cluster.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/alter_reset_fillfactor_cluster.sql
index 58fdcade..1c559ed5 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/alter_reset_fillfactor_cluster.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/alter_reset_fillfactor_cluster.sql
@@ -1,8 +1,8 @@
 -- Index: Idx1_$%{}[]()&*^!@"'`\/#
 
--- DROP INDEX public."Idx1_$%{}[]()&*^!@""'`\/#";
+-- DROP INDEX IF EXISTS public."Idx1_$%{}[]()&*^!@""'`\/#";
 
-CREATE UNIQUE INDEX "Idx1_$%{}[]()&*^!@""'`\/#"
+CREATE UNIQUE INDEX IF NOT EXISTS "Idx1_$%{}[]()&*^!@""'`\/#"
     ON public.test_table_for_indexes USING btree
     (id DESC NULLS FIRST, name COLLATE pg_catalog."POSIX" text_pattern_ops DESC NULLS FIRST)
     TABLESPACE pg_default;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/alter_reset_fillfactor_cluster_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/alter_reset_fillfactor_cluster_msql.sql
index fe5da6af..8dc34b2e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/alter_reset_fillfactor_cluster_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/alter_reset_fillfactor_cluster_msql.sql
@@ -1,5 +1,5 @@
-ALTER INDEX public."Idx1_$%{}[]()&*^!@""'`\/#"
+ALTER INDEX IF EXISTS public."Idx1_$%{}[]()&*^!@""'`\/#"
     RESET (FILLFACTOR);
 
-ALTER TABLE public.test_table_for_indexes
+ALTER TABLE IF EXISTS public.test_table_for_indexes
     SET WITHOUT CLUSTER;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/create_btree_asc_null_first.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/create_btree_asc_null_first.sql
index 6e0f9bc0..3d749282 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/create_btree_asc_null_first.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/create_btree_asc_null_first.sql
@@ -1,8 +1,8 @@
 -- Index: Idx_$%{}[]()&*^!@"'`\/#
 
--- DROP INDEX public."Idx_$%{}[]()&*^!@""'`\/#";
+-- DROP INDEX IF EXISTS public."Idx_$%{}[]()&*^!@""'`\/#";
 
-CREATE UNIQUE INDEX "Idx_$%{}[]()&*^!@""'`\/#"
+CREATE UNIQUE INDEX IF NOT EXISTS "Idx_$%{}[]()&*^!@""'`\/#"
     ON public.test_table_for_indexes USING btree
     (id ASC NULLS FIRST, name COLLATE pg_catalog."POSIX" text_pattern_ops ASC NULLS FIRST)
     WITH (FILLFACTOR=10)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/create_btree_asc_null_first_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/create_btree_asc_null_first_msql.sql
index d232de21..389593af 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/create_btree_asc_null_first_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/create_btree_asc_null_first_msql.sql
@@ -1,4 +1,4 @@
-CREATE UNIQUE INDEX "Idx_$%{}[]()&*^!@""'`\/#"
+CREATE UNIQUE INDEX IF NOT EXISTS "Idx_$%{}[]()&*^!@""'`\/#"
     ON public.test_table_for_indexes USING btree
     (id ASC NULLS FIRST, name COLLATE pg_catalog."POSIX" text_pattern_ops ASC NULLS FIRST)
     WITH (FILLFACTOR=10)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/create_btree_asc_null_last.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/create_btree_asc_null_last.sql
index 12526073..951152c6 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/create_btree_asc_null_last.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/create_btree_asc_null_last.sql
@@ -1,8 +1,8 @@
 -- Index: Idx_$%{}[]()&*^!@"'`\/#
 
--- DROP INDEX public."Idx_$%{}[]()&*^!@""'`\/#";
+-- DROP INDEX IF EXISTS public."Idx_$%{}[]()&*^!@""'`\/#";
 
-CREATE UNIQUE INDEX "Idx_$%{}[]()&*^!@""'`\/#"
+CREATE UNIQUE INDEX IF NOT EXISTS "Idx_$%{}[]()&*^!@""'`\/#"
     ON public.test_table_for_indexes USING btree
     (id ASC NULLS LAST, name COLLATE pg_catalog."POSIX" text_pattern_ops ASC NULLS LAST)
     WITH (FILLFACTOR=10)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/create_btree_asc_null_last_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/create_btree_asc_null_last_msql.sql
index df340aae..8b294349 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/create_btree_asc_null_last_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/create_btree_asc_null_last_msql.sql
@@ -1,4 +1,4 @@
-CREATE UNIQUE INDEX "Idx_$%{}[]()&*^!@""'`\/#"
+CREATE UNIQUE INDEX IF NOT EXISTS "Idx_$%{}[]()&*^!@""'`\/#"
     ON public.test_table_for_indexes USING btree
     (id ASC NULLS LAST, name COLLATE pg_catalog."POSIX" text_pattern_ops ASC NULLS LAST)
     WITH (FILLFACTOR=10)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/create_btree_desc_null_first.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/create_btree_desc_null_first.sql
index 8d8bc290..78fb0a1f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/create_btree_desc_null_first.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/create_btree_desc_null_first.sql
@@ -1,8 +1,8 @@
 -- Index: Idx_$%{}[]()&*^!@"'`\/#
 
--- DROP INDEX public."Idx_$%{}[]()&*^!@""'`\/#";
+-- DROP INDEX IF EXISTS public."Idx_$%{}[]()&*^!@""'`\/#";
 
-CREATE UNIQUE INDEX "Idx_$%{}[]()&*^!@""'`\/#"
+CREATE UNIQUE INDEX IF NOT EXISTS "Idx_$%{}[]()&*^!@""'`\/#"
     ON public.test_table_for_indexes USING btree
     (id DESC NULLS FIRST, name COLLATE pg_catalog."POSIX" text_pattern_ops DESC NULLS FIRST)
     TABLESPACE pg_default;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/create_btree_desc_null_first_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/create_btree_desc_null_first_msql.sql
index f7db5ea7..652fa0a3 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/create_btree_desc_null_first_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/create_btree_desc_null_first_msql.sql
@@ -1,4 +1,4 @@
-CREATE UNIQUE INDEX "Idx_$%{}[]()&*^!@""'`\/#"
+CREATE UNIQUE INDEX IF NOT EXISTS "Idx_$%{}[]()&*^!@""'`\/#"
     ON public.test_table_for_indexes USING btree
     (id DESC NULLS FIRST, name COLLATE pg_catalog."POSIX" text_pattern_ops DESC NULLS FIRST)
     TABLESPACE pg_default;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/create_btree_desc_null_last.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/create_btree_desc_null_last.sql
index 1f8515eb..5970fa9f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/create_btree_desc_null_last.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/create_btree_desc_null_last.sql
@@ -1,8 +1,8 @@
 -- Index: Idx_$%{}[]()&*^!@"'`\/#
 
--- DROP INDEX public."Idx_$%{}[]()&*^!@""'`\/#";
+-- DROP INDEX IF EXISTS public."Idx_$%{}[]()&*^!@""'`\/#";
 
-CREATE UNIQUE INDEX "Idx_$%{}[]()&*^!@""'`\/#"
+CREATE UNIQUE INDEX IF NOT EXISTS "Idx_$%{}[]()&*^!@""'`\/#"
     ON public.test_table_for_indexes USING btree
     (id DESC NULLS LAST, name COLLATE pg_catalog."POSIX" text_pattern_ops DESC NULLS LAST)
     WITH (FILLFACTOR=10)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/create_btree_desc_null_last_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/create_btree_desc_null_last_msql.sql
index 9e23286a..2e4096dd 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/create_btree_desc_null_last_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/create_btree_desc_null_last_msql.sql
@@ -1,4 +1,4 @@
-CREATE UNIQUE INDEX "Idx_$%{}[]()&*^!@""'`\/#"
+CREATE UNIQUE INDEX IF NOT EXISTS "Idx_$%{}[]()&*^!@""'`\/#"
     ON public.test_table_for_indexes USING btree
     (id DESC NULLS LAST, name COLLATE pg_catalog."POSIX" text_pattern_ops DESC NULLS LAST)
     WITH (FILLFACTOR=10)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/create_hash_index.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/create_hash_index.sql
index e02c4f0d..1f64067e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/create_hash_index.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/create_hash_index.sql
@@ -1,8 +1,8 @@
 -- Index: Idx_$%{}[]()&*^!@"'`\/#
 
--- DROP INDEX public."Idx_$%{}[]()&*^!@""'`\/#";
+-- DROP INDEX IF EXISTS public."Idx_$%{}[]()&*^!@""'`\/#";
 
-CREATE INDEX "Idx_$%{}[]()&*^!@""'`\/#"
+CREATE INDEX IF NOT EXISTS "Idx_$%{}[]()&*^!@""'`\/#"
     ON public.test_table_for_indexes USING hash
     (id)
     TABLESPACE pg_default;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/create_hash_index_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/create_hash_index_msql.sql
index 14f012b4..c2d2b8e4 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/create_hash_index_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/tests/default/create_hash_index_msql.sql
@@ -1,4 +1,4 @@
-CREATE INDEX "Idx_$%{}[]()&*^!@""'`\/#"
+CREATE INDEX IF NOT EXISTS "Idx_$%{}[]()&*^!@""'`\/#"
     ON public.test_table_for_indexes USING hash
     (id)
     TABLESPACE pg_default;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/pg/10_plus/alter_table_add_partition.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/pg/10_plus/alter_table_add_partition.sql
index 033f1d94..35bf35bb 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/pg/10_plus/alter_table_add_partition.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/pg/10_plus/alter_table_add_partition.sql
@@ -1,6 +1,6 @@
 -- Table: public.test_table_$%{}[]()&*^!@""'`\/#
 
--- DROP TABLE public."test_table_$%{}[]()&*^!@""""'`\/#";
+-- DROP TABLE IF EXISTS public."test_table_$%{}[]()&*^!@""""'`\/#";
 
 CREATE TABLE IF NOT EXISTS public."test_table_$%{}[]()&*^!@""""'`\/#"
 (
@@ -11,7 +11,7 @@ WITH (
 )
 TABLESPACE pg_default;
 
-ALTER TABLE public."test_table_$%{}[]()&*^!@""""'`\/#"
+ALTER TABLE IF EXISTS public."test_table_$%{}[]()&*^!@""""'`\/#"
     OWNER to postgres;
 
 COMMENT ON TABLE public."test_table_$%{}[]()&*^!@""""'`\/#"
@@ -22,5 +22,5 @@ COMMENT ON TABLE public."test_table_$%{}[]()&*^!@""""'`\/#"
 CREATE TABLE IF NOT EXISTS public."test_part_$%{}[]()&*^!@""""""""'`\/#" PARTITION OF public."test_table_$%{}[]()&*^!@""""'`\/#"
     FOR VALUES FROM ('0') TO ('1000');
 
-ALTER TABLE public."test_part_$%{}[]()&*^!@""""""""'`\/#"
+ALTER TABLE IF EXISTS public."test_part_$%{}[]()&*^!@""""""""'`\/#"
     OWNER to postgres;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/pg/10_plus/create_table_with_partition.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/pg/10_plus/create_table_with_partition.sql
index d13d4295..bff95812 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/pg/10_plus/create_table_with_partition.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/pg/10_plus/create_table_with_partition.sql
@@ -1,6 +1,6 @@
 -- Table: public.test_table_$%{}[]()&*^!@""'`\/#
 
--- DROP TABLE public."test_table_$%{}[]()&*^!@""""'`\/#";
+-- DROP TABLE IF EXISTS public."test_table_$%{}[]()&*^!@""""'`\/#";
 
 CREATE TABLE IF NOT EXISTS public."test_table_$%{}[]()&*^!@""""'`\/#"
 (
@@ -11,7 +11,7 @@ WITH (
 )
 TABLESPACE pg_default;
 
-ALTER TABLE public."test_table_$%{}[]()&*^!@""""'`\/#"
+ALTER TABLE IF EXISTS public."test_table_$%{}[]()&*^!@""""'`\/#"
     OWNER to postgres;
 
 COMMENT ON TABLE public."test_table_$%{}[]()&*^!@""""'`\/#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/pg/10_plus/create_table_with_partition_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/pg/10_plus/create_table_with_partition_msql.sql
index 4a1685f4..47801b79 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/pg/10_plus/create_table_with_partition_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/pg/10_plus/create_table_with_partition_msql.sql
@@ -6,7 +6,7 @@ WITH (
     OIDS = FALSE
 );
 
-ALTER TABLE public."test_table_$%{}[]()&*^!@""""'`\/#"
+ALTER TABLE IF EXISTS public."test_table_$%{}[]()&*^!@""""'`\/#"
     OWNER to postgres;
 
 COMMENT ON TABLE public."test_table_$%{}[]()&*^!@""""'`\/#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/pg/12_plus/alter_table_add_partition.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/pg/12_plus/alter_table_add_partition.sql
index dde80481..2a8fd6d3 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/pg/12_plus/alter_table_add_partition.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/pg/12_plus/alter_table_add_partition.sql
@@ -1,13 +1,13 @@
 -- Table: public.test_table_$%{}[]()&*^!@""'`\/#
 
--- DROP TABLE public."test_table_$%{}[]()&*^!@""""'`\/#";
+-- DROP TABLE IF EXISTS public."test_table_$%{}[]()&*^!@""""'`\/#";
 
 CREATE TABLE IF NOT EXISTS public."test_table_$%{}[]()&*^!@""""'`\/#"
 (
     m_col bigint
 ) PARTITION BY RANGE (m_col);
 
-ALTER TABLE public."test_table_$%{}[]()&*^!@""""'`\/#"
+ALTER TABLE IF EXISTS public."test_table_$%{}[]()&*^!@""""'`\/#"
     OWNER to postgres;
 
 COMMENT ON TABLE public."test_table_$%{}[]()&*^!@""""'`\/#"
@@ -18,5 +18,5 @@ COMMENT ON TABLE public."test_table_$%{}[]()&*^!@""""'`\/#"
 CREATE TABLE IF NOT EXISTS public."test_part_$%{}[]()&*^!@""""""""'`\/#" PARTITION OF public."test_table_$%{}[]()&*^!@""""'`\/#"
     FOR VALUES FROM ('0') TO ('1000');
 
-ALTER TABLE public."test_part_$%{}[]()&*^!@""""""""'`\/#"
+ALTER TABLE IF EXISTS public."test_part_$%{}[]()&*^!@""""""""'`\/#"
     OWNER to postgres;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/pg/12_plus/create_table_with_partition.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/pg/12_plus/create_table_with_partition.sql
index 265d4090..8cab6c94 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/pg/12_plus/create_table_with_partition.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/pg/12_plus/create_table_with_partition.sql
@@ -1,13 +1,13 @@
 -- Table: public.test_table_$%{}[]()&*^!@""'`\/#
 
--- DROP TABLE public."test_table_$%{}[]()&*^!@""""'`\/#";
+-- DROP TABLE IF EXISTS public."test_table_$%{}[]()&*^!@""""'`\/#";
 
 CREATE TABLE IF NOT EXISTS public."test_table_$%{}[]()&*^!@""""'`\/#"
 (
     m_col bigint
 ) PARTITION BY RANGE (m_col);
 
-ALTER TABLE public."test_table_$%{}[]()&*^!@""""'`\/#"
+ALTER TABLE IF EXISTS public."test_table_$%{}[]()&*^!@""""'`\/#"
     OWNER to postgres;
 
 COMMENT ON TABLE public."test_table_$%{}[]()&*^!@""""'`\/#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/pg/12_plus/create_table_with_partition_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/pg/12_plus/create_table_with_partition_msql.sql
index c0d8eeef..48383df4 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/pg/12_plus/create_table_with_partition_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/pg/12_plus/create_table_with_partition_msql.sql
@@ -3,7 +3,7 @@ CREATE TABLE IF NOT EXISTS public."test_table_$%{}[]()&*^!@""""'`\/#"
     m_col bigint
 ) PARTITION BY RANGE (m_col);
 
-ALTER TABLE public."test_table_$%{}[]()&*^!@""""'`\/#"
+ALTER TABLE IF EXISTS public."test_table_$%{}[]()&*^!@""""'`\/#"
     OWNER to postgres;
 
 COMMENT ON TABLE public."test_table_$%{}[]()&*^!@""""'`\/#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/ppas/10_plus/alter_table_add_partition.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/ppas/10_plus/alter_table_add_partition.sql
index 77416c67..18ab66b8 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/ppas/10_plus/alter_table_add_partition.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/ppas/10_plus/alter_table_add_partition.sql
@@ -1,6 +1,6 @@
 -- Table: public.test_table_$%{}[]()&*^!@""'`\/#
 
--- DROP TABLE public."test_table_$%{}[]()&*^!@""""'`\/#";
+-- DROP TABLE IF EXISTS public."test_table_$%{}[]()&*^!@""""'`\/#";
 
 CREATE TABLE IF NOT EXISTS public."test_table_$%{}[]()&*^!@""""'`\/#"
 (
@@ -11,7 +11,7 @@ WITH (
 )
 TABLESPACE pg_default;
 
-ALTER TABLE public."test_table_$%{}[]()&*^!@""""'`\/#"
+ALTER TABLE IF EXISTS public."test_table_$%{}[]()&*^!@""""'`\/#"
     OWNER to enterprisedb;
 
 COMMENT ON TABLE public."test_table_$%{}[]()&*^!@""""'`\/#"
@@ -22,5 +22,5 @@ COMMENT ON TABLE public."test_table_$%{}[]()&*^!@""""'`\/#"
 CREATE TABLE IF NOT EXISTS public."test_part_$%{}[]()&*^!@""""""""'`\/#" PARTITION OF public."test_table_$%{}[]()&*^!@""""'`\/#"
     FOR VALUES FROM ('0') TO ('1000');
 
-ALTER TABLE public."test_part_$%{}[]()&*^!@""""""""'`\/#"
+ALTER TABLE IF EXISTS public."test_part_$%{}[]()&*^!@""""""""'`\/#"
     OWNER to enterprisedb;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/ppas/10_plus/create_table_with_partition.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/ppas/10_plus/create_table_with_partition.sql
index db930c96..a89d6b7d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/ppas/10_plus/create_table_with_partition.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/ppas/10_plus/create_table_with_partition.sql
@@ -1,6 +1,6 @@
 -- Table: public.test_table_$%{}[]()&*^!@""'`\/#
 
--- DROP TABLE public."test_table_$%{}[]()&*^!@""""'`\/#";
+-- DROP TABLE IF EXISTS public."test_table_$%{}[]()&*^!@""""'`\/#";
 
 CREATE TABLE IF NOT EXISTS public."test_table_$%{}[]()&*^!@""""'`\/#"
 (
@@ -11,7 +11,7 @@ WITH (
 )
 TABLESPACE pg_default;
 
-ALTER TABLE public."test_table_$%{}[]()&*^!@""""'`\/#"
+ALTER TABLE IF EXISTS public."test_table_$%{}[]()&*^!@""""'`\/#"
     OWNER to enterprisedb;
 
 COMMENT ON TABLE public."test_table_$%{}[]()&*^!@""""'`\/#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/ppas/10_plus/create_table_with_partition_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/ppas/10_plus/create_table_with_partition_msql.sql
index 460c2442..e5629763 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/ppas/10_plus/create_table_with_partition_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/ppas/10_plus/create_table_with_partition_msql.sql
@@ -6,7 +6,7 @@ WITH (
     OIDS = FALSE
 );
 
-ALTER TABLE public."test_table_$%{}[]()&*^!@""""'`\/#"
+ALTER TABLE IF EXISTS public."test_table_$%{}[]()&*^!@""""'`\/#"
     OWNER to enterprisedb;
 
 COMMENT ON TABLE public."test_table_$%{}[]()&*^!@""""'`\/#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/ppas/12_plus/alter_table_add_partition.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/ppas/12_plus/alter_table_add_partition.sql
index 2a7a6123..96e55c39 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/ppas/12_plus/alter_table_add_partition.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/ppas/12_plus/alter_table_add_partition.sql
@@ -1,13 +1,13 @@
 -- Table: public.test_table_$%{}[]()&*^!@""'`\/#
 
--- DROP TABLE public."test_table_$%{}[]()&*^!@""""'`\/#";
+-- DROP TABLE IF EXISTS public."test_table_$%{}[]()&*^!@""""'`\/#";
 
 CREATE TABLE IF NOT EXISTS public."test_table_$%{}[]()&*^!@""""'`\/#"
 (
     m_col bigint
 ) PARTITION BY RANGE (m_col);
 
-ALTER TABLE public."test_table_$%{}[]()&*^!@""""'`\/#"
+ALTER TABLE IF EXISTS public."test_table_$%{}[]()&*^!@""""'`\/#"
     OWNER to enterprisedb;
 
 COMMENT ON TABLE public."test_table_$%{}[]()&*^!@""""'`\/#"
@@ -18,5 +18,5 @@ COMMENT ON TABLE public."test_table_$%{}[]()&*^!@""""'`\/#"
 CREATE TABLE IF NOT EXISTS public."test_part_$%{}[]()&*^!@""""""""'`\/#" PARTITION OF public."test_table_$%{}[]()&*^!@""""'`\/#"
     FOR VALUES FROM ('0') TO ('1000');
 
-ALTER TABLE public."test_part_$%{}[]()&*^!@""""""""'`\/#"
+ALTER TABLE IF EXISTS public."test_part_$%{}[]()&*^!@""""""""'`\/#"
     OWNER to enterprisedb;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/ppas/12_plus/create_table_with_partition.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/ppas/12_plus/create_table_with_partition.sql
index c4c47178..c59e8fb5 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/ppas/12_plus/create_table_with_partition.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/ppas/12_plus/create_table_with_partition.sql
@@ -1,13 +1,13 @@
 -- Table: public.test_table_$%{}[]()&*^!@""'`\/#
 
--- DROP TABLE public."test_table_$%{}[]()&*^!@""""'`\/#";
+-- DROP TABLE IF EXISTS public."test_table_$%{}[]()&*^!@""""'`\/#";
 
 CREATE TABLE IF NOT EXISTS public."test_table_$%{}[]()&*^!@""""'`\/#"
 (
     m_col bigint
 ) PARTITION BY RANGE (m_col);
 
-ALTER TABLE public."test_table_$%{}[]()&*^!@""""'`\/#"
+ALTER TABLE IF EXISTS public."test_table_$%{}[]()&*^!@""""'`\/#"
     OWNER to enterprisedb;
 
 COMMENT ON TABLE public."test_table_$%{}[]()&*^!@""""'`\/#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/ppas/12_plus/create_table_with_partition_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/ppas/12_plus/create_table_with_partition_msql.sql
index 7aea9c84..bb61b515 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/ppas/12_plus/create_table_with_partition_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/tests/ppas/12_plus/create_table_with_partition_msql.sql
@@ -3,7 +3,7 @@ CREATE TABLE IF NOT EXISTS public."test_table_$%{}[]()&*^!@""""'`\/#"
     m_col bigint
 ) PARTITION BY RANGE (m_col);
 
-ALTER TABLE public."test_table_$%{}[]()&*^!@""""'`\/#"
+ALTER TABLE IF EXISTS public."test_table_$%{}[]()&*^!@""""'`\/#"
     OWNER to enterprisedb;
 
 COMMENT ON TABLE public."test_table_$%{}[]()&*^!@""""'`\/#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/alter_delete_policy_with_using.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/alter_delete_policy_with_using.sql
index 71bd2b58..befa16ad 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/alter_delete_policy_with_using.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/alter_delete_policy_with_using.sql
@@ -1,6 +1,6 @@
 -- POLICY: test_delete_rls_policy_$%{}[]()&*^!@"'`\/#
 
--- DROP POLICY "test_delete_rls_policy_$%{}[]()&*^!@""'`\/#" ON public.test_rls_policy;
+-- DROP POLICY IF EXISTS "test_delete_rls_policy_$%{}[]()&*^!@""'`\/#" ON public.test_rls_policy;
 
 CREATE POLICY "test_delete_rls_policy_$%{}[]()&*^!@""'`\/#"
     ON public.test_rls_policy
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/alter_policy.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/alter_policy.sql
index d625080e..6abe6065 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/alter_policy.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/alter_policy.sql
@@ -1,6 +1,6 @@
 -- POLICY: policy_1
 
--- DROP POLICY policy_1 ON public.test_rls_policy;
+-- DROP POLICY IF EXISTS policy_1 ON public.test_rls_policy;
 
 CREATE POLICY policy_1
     ON public.test_rls_policy
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/alter_select_policy.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/alter_select_policy.sql
index 6e8d8f22..93b0a3fe 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/alter_select_policy.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/alter_select_policy.sql
@@ -1,6 +1,6 @@
 -- POLICY: test_select_policy_rls_$%{}[]()&*^!@"'`\/#
 
--- DROP POLICY "test_select_policy_rls_$%{}[]()&*^!@""'`\/#" ON public.test_rls_policy;
+-- DROP POLICY IF EXISTS "test_select_policy_rls_$%{}[]()&*^!@""'`\/#" ON public.test_rls_policy;
 
 CREATE POLICY "test_select_policy_rls_$%{}[]()&*^!@""'`\/#"
     ON public.test_rls_policy
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/alter_simple_all_policy.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/alter_simple_all_policy.sql
index a8c3bce6..bdeb6b0f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/alter_simple_all_policy.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/tests/10_plus/alter_simple_all_policy.sql
@@ -1,6 +1,6 @@
 -- POLICY: test_all_rls_policy_$%{}[]()&*^!@"'`\/#
 
--- DROP POLICY "test_all_rls_policy_$%{}[]()&*^!@""'`\/#" ON public.test_rls_policy;
+-- DROP POLICY IF EXISTS "test_all_rls_policy_$%{}[]()&*^!@""'`\/#" ON public.test_rls_policy;
 
 CREATE POLICY "test_all_rls_policy_$%{}[]()&*^!@""'`\/#"
     ON public.test_rls_policy
